Qt 5.7 | Qt 3D | C++ Classes | QConeGeometry

Qt 5.7.1 Reference Documentation

# QConeGeometry Class

(Qt3DExtras::QConeGeometry)

The QConeGeometry class allows creation of a cone in 3D space. More...

Header: | #include <QConeGeometry>
qmake: | QT += 3dextras
Since: | Qt 5.7
Instantiated By: | ConeGeometry
Inherits: | Qt3DRender::QGeometry

- List of all members, including inherited members

## Properties

- bottomRadius : float
- hasBottomEndcap : bool
- hasTopEndcap : bool
- indexAttribute : Qt3DRender::QAttribute * const
- length : float
- normalAttribute : Qt3DRender::QAttribute * const

- positionAttribute : Qt3DRender::QAttribute * const
- rings : int
- slices : int
- texCoordAttribute : Qt3DRender::QAttribute * const
- topRadius : float

- 1 property inherited from Qt3DRender::QGeometry
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QConeGeometry(QNode *parent = nullptr)
float | bottomRadius() const
bool | hasBottomEndcap() const
bool | hasTopEndcap() const
Qt3DRender::QAttribute * | indexAttribute() const
float | length() const
Qt3DRender::QAttribute * | normalAttribute() const
Qt3DRender::QAttribute * | positionAttribute() const
int | rings() const
int | slices() const
Qt3DRender::QAttribute * | texCoordAttribute() const
float | topRadius() const
void | updateIndices()
void | updateVertices()

- 4 public functions inherited from Qt3DRender::QGeometry
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setBottomRadius(float bottomRadius)
void | setHasBottomEndcap(bool hasBottomEndcap)
void | setHasTopEndcap(bool hasTopEndcap)
void | setLength(float length)
void | setRings(int rings)
void | setSlices(int slices)
void | setTopRadius(float topRadius)

- 1 public slot inherited from Qt3DRender::QGeometry
- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | bottomRadiusChanged(float bottomRadius)
void | hasBottomEndcapChanged(bool hasBottomEndcap)
void | hasTopEndcapChanged(bool hasTopEndcap)
void | lengthChanged(float length)
void | ringsChanged(int rings)
void | slicesChanged(int slices)
void | topRadiusChanged(float topRadius)

- 1 signal inherited from Qt3DRender::QGeometry
- 3 signals inherited from Qt3DCore::QNode

## Protected Functions

| QConeGeometry(QConeGeometryPrivate &dd, QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

The QConeGeometry class allows creation of a cone in 3D space.

The QConeGeometry class is most commonly used internally by the QConeMesh but can also be used in custom Qt3DRender::QGeometryRenderer subclasses. The class allows for creation of both a cone and a truncated cone.

## Property Documentation

### bottomRadius : float

Holds the bottom radius of the cone.

Access functions:

float | bottomRadius() const
void | setBottomRadius(float bottomRadius)

Notifier signal:

void | bottomRadiusChanged(float bottomRadius)

### hasBottomEndcap : bool

Determines if the cone bottom is capped or open.

Access functions:

bool | hasBottomEndcap() const
void | setHasBottomEndcap(bool hasBottomEndcap)

Notifier signal:

void | hasBottomEndcapChanged(bool hasBottomEndcap)

### hasTopEndcap : bool

Determines if the cone top is capped or open.

Access functions:

bool | hasTopEndcap() const
void | setHasTopEndcap(bool hasTopEndcap)

Notifier signal:

void | hasTopEndcapChanged(bool hasTopEndcap)

### indexAttribute : Qt3DRender::QAttribute * const

Holds the geometry index attribute.

Access functions:

Qt3DRender::QAttribute * | indexAttribute() const

### length : float

Holds the length of the cone.

Access functions:

float | length() const
void | setLength(float length)

Notifier signal:

void | lengthChanged(float length)

### normalAttribute : Qt3DRender::QAttribute * const

Holds the geometry normal attribute.

Access functions:

Qt3DRender::QAttribute * | normalAttribute() const

### positionAttribute : Qt3DRender::QAttribute * const

Holds the geometry position attribute.

Access functions:

Qt3DRender::QAttribute * | positionAttribute() const

### rings : int

Holds the number of rings in the geometry.

Access functions:

int | rings() const
void | setRings(int rings)

Notifier signal:

void | ringsChanged(int rings)

### slices : int

Holds the number of slices in the geometry.

Access functions:

int | slices() const
void | setSlices(int slices)

Notifier signal:

void | slicesChanged(int slices)

### texCoordAttribute : Qt3DRender::QAttribute * const

Holds the geometry texture coordinate attribute.

Access functions:

Qt3DRender::QAttribute * | texCoordAttribute() const

### topRadius : float

Holds the top radius of the cone.

Access functions:

float | topRadius() const
void | setTopRadius(float topRadius)

Notifier signal:

void | topRadiusChanged(float topRadius)

## Member Function Documentation

### QConeGeometry::QConeGeometry(QNode *parent = nullptr)

Default constructs an instance of QConeGeometry.

### `[protected]` QConeGeometry::QConeGeometry(QConeGeometryPrivate &dd, QNode *parent = nullptr)

Copy constructor.

### void QConeGeometry::updateIndices()

Updates indices based on geometry properties.

### void QConeGeometry::updateVertices()

Updates vertices based on geometry properties.